# OpenML dataset: auto_price

https://www.openml.org/d/195

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**:   
**Source**: Unknown -   
**Please cite**:   

This data set consists of three types of entities:
 (a) the specification of an auto in terms of various characteristics;
 (b) its assigned insurance risk rating,;
 (c) its normalized losses in use as compared to other cars. 
 The second rating corresponds to the degree to which the auto is more risky than its price indicates. Cars are initially
 assigned a risk factor symbol associated with its price. Then, if it is more risky (or less), this symbol is adjusted by
 moving it up (or down) the scale. Actuarians call this process "symboling". A value of +3 indicates that the auto is
 risky, -3 that it is probably pretty safe.The third factor is the relative average loss payment per insured vehicle year.
 This value is normalized for all autos within a particular size classification (two-door small, station wagons,
 sports/speciality, etc...), and represents the average loss per car per year.
 - Note: Several of the attributes in the database could be used as a "class" attribute.
 The original data (from the UCI repository) (http://www.ics.uci.edu/~mlearn/MLSummary.html) has 205 instances
 described by 26 attributes :
 - 15 continuous
 - 1 integer
 - 10 nominal
 The following provides more information on these attributes:
 
   1. symboling:                 -3, -2, -1, 0, 1, 2, 3.
   2. normalized-losses:        continuous from 65 to 256.
   3. make:                     alfa-romero, audi, bmw, chevrolet, dodge, honda,
                                isuzu, jaguar, mazda, mercedes-benz, mercury,
                                mitsubishi, nissan, peugot, plymouth, porsche,
                                renault, saab, subaru, toyota, volkswagen, volvo
   4. fuel-type:                diesel, gas.
   5. aspiration:               std, turbo.
   6. num-of-doors:             four, two.
   7. body-style:               hardtop, wagon, sedan, hatchback,convertible.
   8. drive-wheels:             4wd, fwd, rwd.
   9. engine-location:          front, rear.
  10. wheel-base:               continuous from 86.6 120.9.
  11. length:                   continuous from 141.1 to 208.1.
  12. width:                    continuous from 60.3 to 72.3.
  13. height:                   continuous from 47.8 to 59.8.
  14. curb-weight:              continuous from 1488 to 4066.
  15. engine-type:              dohc, dohcv, l, ohc, ohcf, ohcv, rotor.
  16. num-of-cylinders:         eight, five, four, six, three, twelve, two.
  17. engine-size:              continuous from 61 to 326.
  18. fuel-system:              1bbl, 2bbl, 4bbl, idi, mfi, mpfi, spdi, spfi.
  19. bore:                     continuous from 2.54 to 3.94.
  20. stroke:                   continuous from 2.07 to 4.17.
  21. compression-ratio:        continuous from 7 to 23.
  22. horsepower:               continuous from 48 to 288.
  23. peak-rpm:                 continuous from 4150 to 6600.
  24. city-mpg:                 continuous from 13 to 49.
  25. highway-mpg:              continuous from 16 to 54.
  26. price:                    continuous from 5118 to 45400.
 
 The original data also has some missing attribute values denoted by "?" : 
 
    Attribute #:   Number of instances missing a value:
    2.             41
    6.             2
    19.            4
    20.            4
    22.            2
    23.            2
    26.            4
 
 I've changed the original data in the following way :
 - All instances with unknowns were removed giving 159 instances.
 - The goal variable is "price"
 - All nominal attributes (10) were removed.
 
 Original source: UCI machine learning repository. (http://www.ics.uci.edu/~mlearn/MLSummary.html). 
 Source: collection of regression datasets by Luis Torgo (ltorgo@ncc.up.pt) at
 http://www.ncc.up.pt/~ltorgo/Regression/DataSets.html
 Characteristics: 159 cases; 14 continuous variables; 1 nominal vars..

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/195) of an [OpenML dataset](https://www.openml.org/d/195). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/195/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/195/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/195/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

